# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.utils.translation import ugettext as _


TIMEZONE_CHOICES = [
    ('Etc/GMT+12', _("(GMT -12:00) Eniwetok, Kwajalein")),
    ('Etc/GMT+11', _("(GMT -11:00) Midway Island, Samoa")),
    ('Etc/GMT+10', _("(GMT -10:00) Hawaii")),
    ('Pacific/Marquesas', _("(GMT -9:30) Marquesas Islands")),
    ('Etc/GMT+9', _("(GMT -9:00) Alaska")),
    ('Etc/GMT+8', _("(GMT -8:00) Pacific Time (US & Canada)")),
    ('Etc/GMT+7', _("(GMT -7:00) Mountain Time (US & Canada)")),
    ('Etc/GMT+6', _("(GMT -6:00) Central Time (US & Canada), Mexico City")),
    ('Etc/GMT+5', _("(GMT -5:00) Eastern Time (US & Canada), Bogota, Lima")),
    ('America/Caracas', _("(GMT -4:30) Venezuela")),
    ('Etc/GMT+4', _("(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz")),
    ('Etc/GMT+3', _("(GMT -3:00) Brazil, Buenos Aires, Georgetown")),
    ('Etc/GMT+2', _("(GMT -2:00) Mid-Atlantic")),
    ('Etc/GMT+1', _("(GMT -1:00) Azores, Cape Verde Islands")),
    ('UTC', _("(GMT) Western Europe Time, London, Lisbon, Casablanca")),
    ('Etc/GMT-1', _("(GMT +1:00) Brussels, Copenhagen, Madrid, Paris")),
    ('Etc/GMT-2', _("(GMT +2:00) Kaliningrad, South Africa")),
    ('Etc/GMT-3', _("(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg")),
    ('Etc/GMT-4', _("(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi")),
    ('Asia/Kabul', _("(GMT +4:30) Afghanistan")),
    ('Etc/GMT-5', _("(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent")),
    ('Asia/Kolkata', _("(GMT +5:30) India, Sri Lanka")),
    ('Asia/Kathmandu', _("(GMT +5:45) Nepal")),
    ('Etc/GMT-6', _("(GMT +6:00) Almaty, Dhaka, Colombo")),
    ('Indian/Cocos', _("(GMT +6:30) Cocos Islands, Myanmar")),
    ('Etc/GMT-7', _("(GMT +7:00) Bangkok, Hanoi, Jakarta")),
    ('Etc/GMT-8', _("(GMT +8:00) Beijing, Perth, Singapore, Hong Kong")),
    ('Australia/Eucla', _("(GMT +8:45) Australia (Eucla)")),
    ('Etc/GMT-9', _("(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk")),
    ('Australia/North', _("(GMT +9:30) Australia (Northern Territory)")),
    ('Etc/GMT-10', _("(GMT +10:00) Eastern Australia, Guam, Vladivostok")),
    ('Etc/GMT-11', _("(GMT +11:00) Magadan, Solomon Islands, New Caledonia")),
    ('Pacific/Norfolk', _("(GMT +11:30) Norfolk Island")),
    ('Etc/GMT-12', _("(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka")),
]
